image: $DOCKER_REGISTRY/gitlab-ci-python:3.9
    
stages:
- deploy
    
deploy:
  stage: deploy
  interruptible: true
  script:
    - python -m build
    - delete-package ${PYTHON_REGISTRY} ${GITLAB_ACCESS_TOKEN}
    - python -m twine upload --repository-url ${PYTHON_REGISTRY}/pypi dist/* 
  only:
    - wolfgangcolsman-python-3.9